Bug 24852 - Apache-Proxy-Timeout bei Clonen einer Instanz / Anlegen eines Schnappschusses
Apache-Proxy-Timeout bei Clonen einer Instanz / Anlegen eines Schnappschusses
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 4.1
Other Linux
: P1 normal (vote)
: UCS 3.2-x
Assigned To: UMC maintainers
:
: 25040 29567 31621 31708 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 08:03 CET by Philipp Hahn
Modified: 2019-01-03 07:20 CET (History)
7 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments
Auszug aus /var/log/univention/management-console-web-server.log (7.28 KB, text/plain)
2011-11-24 12:54 CET, Philipp Hahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2011-11-24 08:03:26 CET
Beim Clonen einer Instanz wurde folgende "Notification" ausgegeben:
 An unknown error with status code 502 occurred while connecting to the server, please try again later.

Was soll mir das sagen?
Bezieht sich die 502 auf einen HTTP-Fehler-Code (BAD_GATEWAY), einen UMC-Fehler-Code, einen UVMM-Fehler-Code?

Im UVMMd.log wurde jedenfalls der erfolgreiche Abschluß des Clonens berichtet:

2011-11-24 06:42:23,813 - uvmmd.command - DEBUG - DOMAIN_CLONE xen://xen16.deadlock0.local/#0d197bb9-b6b5-2376-39ef-64c401ffc0b2 barfoo {'mac': 'clone'}
...
2011-11-24 06:42:23,901 - uvmmd.node - INFO - Copying "foobar-0.raw" to "barfoo-0.raw" begins
...
2011-11-24 06:48:41,919 - uvmmd.node - INFO - Copying "foobar-0.raw" to "barfoo-0.raw" done
...
2011-11-24 06:48:42,365 - uvmmd.node - INFO - Clone domain "barfoo"(512fe3c7-9bc7-14b9-11f4-4682a4d161ae) defined.
Comment 1 Andreas Büsching univentionstaff 2011-11-24 11:57:38 CET
(In reply to comment #0)
> Beim Clonen einer Instanz wurde folgende "Notification" ausgegeben:
>  An unknown error with status code 502 occurred while connecting to the server,
> please try again later.

Das ist der HTTP-Fehlercode. Eventuell war der UMC Webserver nicht verfügbar. Gibt es dazu Logs?
Comment 2 Philipp Hahn univentionstaff 2011-11-24 12:54:57 CET
Created attachment 3888 [details]
Auszug aus /var/log/univention/management-console-web-server.log
Comment 3 Roman Asendorf univentionstaff 2012-05-24 15:30:45 CEST
Wiederholt aufgetreten

System: demo.univention.de

"Normale" Anmeldung als Administrator.

Workaround:
Neustart der umc konnte das Problem beheben.
Comment 4 Alexander Kläser univentionstaff 2012-05-24 16:41:41 CEST
Siehe dazu auch Bug 25465. Einige UVMM-Aktionen dauern über den 5-Min Default-Timeout des Browsers hinweg, deshalb ein 502er Fehler (kann sein, dass dieser von Apache zurückgegeben wird, da er die Request zum Cherrypy-UMC-Webserver durchreicht), da der Request dann abgebrochen wird. Siehe dazu auch Bug 25465.
Comment 5 Alexander Kläser univentionstaff 2012-05-24 16:44:07 CEST
*** Bug 25040 has been marked as a duplicate of this bug. ***
Comment 6 Philipp Hahn univentionstaff 2012-11-15 14:05:15 CET
Der Timeout ist auch an Bug #28283 beim Anegen eines Sciherungspunktes aufgetreten:

Eine Ursache ist, daß nach 5 Minuten anscheinend der UMC-(Web-)Server den Request 
beendet und mit einem "502 Proxy Error" beantwortet:
 The proxy server received an invalid response from an upstream server.<br />
The proxy server could not handle the request <em><a href="/umcp/command/uvmm/snapshot/create">POST&nbsp;/umcp/command/uvmm/snapshot/create</a></em>.<p>
Reason: <strong>Error reading from remote server</strong></p></p>


management-console-module-uvmm.log
12:43:04.217 PARSER  (INFO): UMCP REQUEST 135297978414427-18 parsed successfully
...
12:43:04.219 MODULE  (INFO): Sending request: Packet:
...
12:48:04.410 PARSER  (INFO): UMCP REQUEST 135298008432233-19 parsed successfully
...
12:48:04.422 PROTOCOL(INFO): Sending UMCP RESPONSE 135298008432233-19
12:48:04.422 MODULE  (INFO): Thread is free for another request
13:00:01.933 MODULE  (INFO): Received response: Packet:
13:00:02.037 PROTOCOL(INFO): Sending UMCP RESPONSE 135297978414427-18
13:00:02.037 MODULE  (INFO): Thread is free for another request

management-console-server.log
12:58:05.309 MAIN    (INFO): The module uvmm is inactive for to long. Sending EXIT request to module
12:58:05.309 MAIN    (INFO): There are unfinished requests. Waiting for 135297978414427-18
13:00:02.037 PARSER  (INFO): UMCP RESPONSE 135297978414427-18 parsed successfully
13:00:02.038 PROTOCOL(INFO): Received UMCP RESPONSE 135297978414427-18
13:00:02.048 SSL     (WARN): SSL error: (-1, 'Unexpected EOF'). Probably the socket was closed by the client.
13:00:02.048 MAIN    (INFO): The session is shutting down. Sending UMC modules an EXIT request (1 processes)
13:00:02.048 MAIN    (INFO): Ask module uvmm to shutdown gracefully

management-console-web-server.log
12:58:08.957 MAIN  (INFO): SessionClient(0x1cedad0): timed out!
12:58:08.957 MAIN  (INFO): SessionClient(0x1cedad0): There are open requests (135297978414427-18). Postpone session shutdown
13:00:02.038 PARSER(INFO): UMCP RESPONSE 135297978414427-18 parsed successfully

../apache2/error.log
[12:48:04 2012] [error] [client 192.168.0.191] (70007)The timeout specified has expired: proxy: error reading status line from remote server 127.0.0.1:8090, referer: https://xen5.knut.univention.de/univention-management-console/
[12:48:04 2012] [error] [client 192.168.0.191] proxy: Error reading from remote server returned by /umcp/command/uvmm/snapshot/create, referer: https://xen5.knut.univention.de/univention-management-console/
Comment 7 Philipp Hahn univentionstaff 2012-11-16 12:24:16 CET
Wichtig weil sich keine Snaphots mehr anlegen lassen.
Comment 8 Philipp Hahn univentionstaff 2012-12-05 19:17:27 CET
*** Bug 29567 has been marked as a duplicate of this bug. ***
Comment 9 Moritz Muehlenhoff univentionstaff 2013-05-31 10:43:47 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 10 Philipp Hahn univentionstaff 2013-06-04 08:25:09 CEST
*** Bug 31621 has been marked as a duplicate of this bug. ***
Comment 11 Philipp Hahn univentionstaff 2013-06-11 13:26:06 CEST
*** Bug 31708 has been marked as a duplicate of this bug. ***
Comment 12 Dirk Wiesenthal univentionstaff 2013-09-16 22:29:18 CEST
With Bug#25465 this is hopefully easy (... probably not).
Comment 13 Florian Best univentionstaff 2013-09-19 09:45:24 CEST
From Bug #25465:
(In reply to Alexander Kläser from comment #9)
> umc/tools:umcpProgressSubCommand()
> → Could this be renamed to _umcpProgressPolling() or similar?
Comment 14 Florian Best univentionstaff 2017-02-09 12:49:59 CET
Still blocking call for more than 5 minutes and violates therefore HTTP clients.
HTTP implements HTTP 202 Accepted for this.
Comment 15 Florian Best univentionstaff 2017-06-28 14:52:17 CEST
There is a Customer ID set so I set the flag "Enterprise Customer affected".
Comment 16 Stefan Gohmann univentionstaff 2019-01-03 07:20:50 CET
This issue has been filled against UCS 4.1. The maintenance with bug and security fixes for UCS 4.1 has ended on 5st of April 2018.

Customers still on UCS 4.1 are encouraged to update to UCS 4.3. Please contact
your partner or Univention for any questions.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or simply reopen the issue. In this case please provide detailed information on how this issue is affecting you.